Bug 132989 - cman_tool should exit non zero on all failures
Summary: cman_tool should exit non zero on all failures
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-20 18:18 UTC by Corey Marthaler
Modified: 2010-01-12 02:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 14:49:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2004-09-20 18:18:46 UTC
Description of problem:
[root@morph-01 root]# cman_tool join
can't open cluster socket: Address family not supported by protocol
[root@morph-01 root]# echo $?
0

In this case it could even say something about needing to load the module.

How reproducible:
Always

Comment 1 Christine Caulfield 2004-09-21 08:03:15 UTC
Hopefully expunged all error cases that don't return non-zero.

Please let me know if you find any more...I'm sure you will :)

Checking in join.c;
/cvs/cluster/cluster/cman/cman_tool/join.c,v  <--  join.c
new revision: 1.9; previous revision: 1.8
done


Comment 2 Corey Marthaler 2004-09-21 14:49:51 UTC
fix verified. 

Comment 3 Kiersten (Kerri) Anderson 2004-11-16 19:11:06 UTC
Updating version to the right level in the defects.  Sorry for the storm.


Note You need to log in before you can comment on or make changes to this bug.